PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
PRFC1155_IpAddress Class Reference

`#include <rfc1155.h>`

Inherits PASN_OctetString.

## Public Member Functions
| PRFC1155_IpAddress (unsigned tag=0, TagClass tagClass=ApplicationTagClass)
| PRFC1155_IpAddress (const char *v)
| PRFC1155_IpAddress (const PString &v)
| PRFC1155_IpAddress (const PBYTEArray &v)
PRFC1155_IpAddress & | operator= (const char *v)
PRFC1155_IpAddress & | operator= (const PString &v)
PRFC1155_IpAddress & | operator= (const PBYTEArray &v)
PObject * | Clone () const

## Constructor & Destructor Documentation

PRFC1155_IpAddress::PRFC1155_IpAddress | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `ApplicationTagClass`
| ) |  |

PRFC1155_IpAddress::PRFC1155_IpAddress | ( | const char * | v | ) |

PRFC1155_IpAddress::PRFC1155_IpAddress | ( | const PString & | v | ) |

PRFC1155_IpAddress::PRFC1155_IpAddress | ( | const PBYTEArray & | v | ) |

## Member Function Documentation

PObject* PRFC1155_IpAddress::Clone | ( |  | ) | const

PRFC1155_IpAddress& PRFC1155_IpAddress::operator= | ( | const char * | v | ) |

PRFC1155_IpAddress& PRFC1155_IpAddress::operator= | ( | const PString & | v | ) |

PRFC1155_IpAddress& PRFC1155_IpAddress::operator= | ( | const PBYTEArray & | v | ) |

The documentation for this class was generated from the following file:

- rfc1155.h